ข้ามไปยังเนื้อหา

Ideogram · Custom Models

ผสานการทำงาน

ID โมเดล ideogram/custom-models
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/custom-models?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $40.00 40,000 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Ideogram การฝึกโมเดล #stylized#transform

ฝึกโมเดล Ideogram แบบกำหนดเองจาก ZIP ที่มีภาพ 10-100 ภาพ

Ideogram · ไฟล์

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

ระบุข้อมูลการฝึกผ่าน ZIP URL ซึ่งภายในมีรูปภาพ JPEG, PNG หรือ WebP จำนวน 10 ถึง 100 รูป หากต้องการใช้คำบรรยายเป็นแนวทางในการฝึก ให้เพิ่มไฟล์ประกอบ ``<stem>.txt`` ได้ โดยจับคู่จากชื่อไฟล์ร่วม `<stem>` ของรูปภาพและคำบรรยายแต่ละรายการ

POST /run/ideogram/custom-models?wait=20 ใบเสนอราคา → $40.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/custom-models?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Ideogram · Custom Models

เอนด์พอยต์สำหรับการฝึกที่รับ `images_data_url` ซึ่งเป็นไฟล์ ZIP ที่มีภาพ JPEG, PNG หรือ WebP จำนวน 10 ถึง 100 ภาพ สามารถรวมไฟล์คำบรรยายที่มีชื่อ `<stem>.txt` เพื่อช่วยกำกับการฝึกได้ ระบบจะแสดง `model_id` และ URI ของโมเดลแบบกำหนดเองสำหรับเอนด์พอยต์ generate

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
images_data_urlจำเป็น
ประเภทstring
ระบุข้อมูลการฝึกผ่าน ZIP URL ซึ่งภายในมีรูปภาพ JPEG, PNG หรือ WebP จำนวน 10 ถึง 100 รูป หากต้องการใช้คำบรรยายเป็นแนวทางในการฝึก ให้เพิ่มไฟล์ประกอบ ``<stem>.txt`` ได้ โดยจับคู่จากชื่อไฟล์ร่วม `<stem>` ของรูปภาพและคำบรรยายแต่ละรายการ
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/custom-models",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40000,
    "usd": "40.00",
    "charged": 40000,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_id": "string",
    "custom_model_uri": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
model_id
stringตัวระบุโมเดล Ideogram ที่จะส่งไปยัง /generate
custom_model_uri
stringURI ของโมเดลที่ฝึกแล้ว ซึ่งเปิดให้เรียกใช้โดยตรงกับเส้นทางการสร้างสาธารณะของ Ideogram v3 ผ่าน `custom_model_uri` ผู้เรียกที่ใช้ `/generate` จะได้รับการแก้ไข URI อัตโนมัติตาม `model_id` แทน

โมเดลเพิ่มเติม: การฝึกโมเดล

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ideogram/custom-models.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt